﻿/*
 * LAG specific
 */

.lag-line{padding-bottom: 0.75em; position: relative;}
.lag-line::before{ content:''; width:2em; position: absolute; bottom: 0.5em; left: 0; height: 0.09em; background-color: var(--wp--preset--color--secondary) }

.lag-line-double{padding-bottom:0.35em; position: relative;}
.lag-line-double:first-child::before, .lag-line-double:first-child::after{ 
    content:''; width:2em; position: absolute; bottom: 0.055em; left: 0; height: 0.09em; background-color: var(--wp--preset--color--secondary)}
.lag-line-double:first-child::after{ bottom: -0.125em; }
[class*='lag-line'].has-text-align-center::before,[class*='lag-line'].has-text-align-center::after{left: 50%; margin-left: -1em;}
[class*='lag-line'].has-text-align-right::before,[class*='lag-line'].has-text-align-right::after{left: auto; right: 0;}

.box-layout:where(.wp-block-cover, .wp-block-cover-image){padding: 0}
.box-layout:where(.wp-block-cover, .wp-block-cover-image) .wp-block-cover__inner-container{padding:var(--wp--preset--spacing--30);/* 1em var(--wp--style--root--padding-right) 1em var(--wp--style--root--padding-left)*/ background-color: var(--wp--preset--color--background); color: var(--wp--preset--color--primary);}
.box-layout:where(.wp-block-cover, .wp-block-cover-image) h1 {padding: 0; margin: 0; }
.box-layout:where(.wp-block-cover, .wp-block-cover-image) .lag-line {padding-bottom: 0.75em; }
.box-layout .wp-block-cover__inner-container>:first-child{margin-top: 0}
.box-layout .wp-block-cover__inner-container>:last-child{margin-bottom: 0}

.box-layout.is-position-center-left .wp-block-cover__inner-container {box-shadow: 0 0 1em rgba(0,0,0,0.5);}
.box-layout.is-position-center-right .wp-block-cover__inner-container {box-shadow: 0 0 1em rgba(0,0,0,0.5);}

.box-layout .wp-block-cover-image.is-light .wp-block-cover__inner-container, .box-layout.wp-block-cover.is-light .wp-block-cover__inner-container {color: inherit;}

img {max-width: 100%; height: auto;}
#content li { margin-bottom: 0.5em;}

:where(h1,h2,h3)>.has-small-font-size {line-height: 1.5em; display: block; margin-bottom: 0.5em;}

.wp-block-quote { position:relative; /*border: 2px solid #524f43;*/ padding: 2em; margin-inline-start: 0; margin-inline-end: 0;}
.wp-block-quote::before { content:"„"; font-size:4rem; color: var(--wp--preset--color--secondary);position: absolute; left: 0; top: -3rem; }
.wp-block-quote::after { content:"“"; font-size:4rem; color: var(--wp--preset--color--secondary);position: absolute; right: 0; bottom: -3rem; }
/*
.wp-block-column.border-left { padding-top: 2em; }
@media (min-width:782px){
    .wp-block-column.border-left {
        padding-top: 0; padding-left: 2em; border-left: 2px solid var(--wp--preset--color--primary);
    }
}
*/
.shadow-box{
    padding: 1.5em;
    background-color: var(--wp--preset--color--background);
    box-shadow: 0 1em 1.5em rgba(0,0,0,0.4);
    margin-block-end: 2em !important;
}

.has-textcolor-background-color *:not(.has-text-color) {color:var(--wp--preset--color--white);}
.has-textcolor-background-color *.has-primary-color{color: var(--wp--preset--color--secondary) !important}

.has-primary-background-color > *, .has-primary-gradient-background > *{
    --wp--preset--color--primary: var(--wp--preset--color--white);
    --wp--preset--color--textcolor: var(--wp--preset--color--white);
    color: var(--wp--preset--color--textcolor);
}
.has-primary-background-color .components-placeholder.components-placeholder, .has-primary-gradient-background .components-placeholder.components-placeholder, .has-primary-gradient-background .components-placeholder.components-placeholder input, .has-primary-gradient-background .components-placeholder.components-placeholder textarea { background-color: inherit; }

/*.has-primary-background-color *.has-primary-color{color: var(--wp--preset--color--secondary) !important}*/
.has-primary-background-color .wp-element-button:not(:hover):not(:focus):not(.has-text-color) {color:var(--wp--preset--color--black);}
.has-primary-background-color .wp-element-button:not(:hover):not(:focus):not(.has-background) {background-color: var(--wp--preset--color--white); }

.has-primary-gradient-background .wp-element-button:not(:hover):not(:focus):not(.has-text-color) {color:var(--wp--preset--color--black);}
.has-primary-gradient-background .wp-element-button:not(:hover):not(:focus):not(.has-background) {background-color: var(--wp--preset--color--white); }


.has-secondary-background-color > * {--wp--preset--color--secondary: var(--wp--preset--color--white);}
.has-secondary-background-color *:not(.has-text-color) {color: var(--wp--preset--color--textcolor);}
.has-secondary-background-color .wp-element-button:not(:hover):not(:focus):not(.has-text-color) {color: var(--wp--preset--color--textcolor);}
.has-secondary-background-color .wp-element-button:not(:hover):not(:focus):not(.has-background) {background-color: var(--wp--preset--color--white); }
.has-secondary-background-color .wp-element-button:hover:not(:focus):not(.has-text-color) {color: var(--wp--preset--color--white);}
.has-secondary-background-color .wp-element-button:hover:not(:focus):not(.has-background) {background-color: var(--wp--preset--color--black); }



.align-right {text-align: right;}
.align-center {text-align: center;}
.align-left {text-align: left;}



 /*
 * AddOns
 */

.columns-1{--cols:1}
.columns-2{--cols:2}
.columns-3{--cols:3}
.columns-4{--cols:4}

@media (max-width:960px){.columns-4{--cols:3} }
@media (max-width:768px){.columns-3{--cols:2} .columns-4{--cols:2}}
@media (max-width:600px){.columns-3{--cols:1}}
@media (max-width:480px){.columns-4{--cols:1}}

.is-layout-flex.is-grid, .is-flex-container.is-grid, .is-grid>.is-flex-container {
    display: grid;
    --gap:var(--wp--style--block-gap);
    --gridwidth:100%;
    grid-template-columns: repeat(var(--cols),1fr);
    grid-auto-rows: minmax( min-content,calc( ( var(--gridwidth) - ( ( var(--cols) - 1 ) * var(--gap) ) ) / var(--cols) ) );
    -moz-column-gap: var(--gap);
    -webkit-column-gap: var(--gap);
    column-gap: var(--gap);
    row-gap: var(--gap);
    grid-column-gap: var(--gap);
    grid-row-gap: var(--gap);
    gap: var(--gap);
    justify-items: stretch;
}
.is-layout-flex.is-grid>*, .is-flex-container.is-grid>*, .is-grid>.is-flex-container>* {width: 100% !important; }
.is-layout-flex.is-grid>*>*, .is-flex-container.is-grid>*>*, .is-grid>.is-flex-container>*>* {height: 100%; display: flex; flex-direction: column; justify-content: space-between;}


.has-x-large-font-size {line-height: 1.25em;}
.has-xx-large-font-size {line-height: 1em;}


/*
 * Base Icons
 */
.baseicon, [class^="baseicon-"],[class*=" baseicon-"] {
    display: inline-block;
    vertical-align: middle;
    width: 2em;
    height: 2em;
    stroke-width: 0;
    stroke: currentColor;
    fill: currentColor;
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}
.baseicon.bg{width: 2em; height: 2em; background-color: var(--wp--preset--color--secondary); color:var(--wp--preset--color--white);}
a:hover .baseicon.bg, button:hover .baseicon.bg{background-color: var(--wp--preset--color--primary); color: var(--wp--preset--color--white);}
.baseicon.round{-webkit-border-radius: 50%; -moz-border-radius:50%; border-radius: 50%;}

.iconset{ padding-left: 2.5em; position: relative; display: inline-block;}
.iconset .baseicon { position: absolute; left: -0.15em; top: -0.25em;}

/*
 * Gutenberg block changes
 */
.wp-block-media-text.has-media-on-the-right:not(.has-background) .wp-block-media-text__content { padding-left: 0;}
.wp-block-media-text.has-media-on-the-left:not(.has-background) .wp-block-media-text__content { padding-right: 0;}

body .is-layout-constrained > * + p, body .is-layout-flow > * + p{
    margin-block-start: 1rem;
}
@media (min-width: 782px){
body .is-layout-flex.reverse{-webkit-box-orient: horizontal;-webkit-box-direction: reverse;-ms-flex-direction: row-reverse;flex-direction: row-reverse;}
}
@media (min-width: 601px){
    body .wp-block-media-text.reverse { direction: rtl; }
}
@media (max-width: 600px){
body .wp-block-media-text.is-stacked-on-mobile.reverse .wp-block-media-text__media{grid-row: 2;}
body .wp-block-media-text.is-stacked-on-mobile.reverse .wp-block-media-text__content {grid-row: 1;}
}

.wp-element-button .baseicon { margin: -0.5rem;}

.wp-block-cover.has-custom-content-position .wp-block-cover__inner-container{max-width: 600px}

.wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-top-left .wp-block-cover__inner-container,
.wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-center-left .wp-block-cover__inner-container,
.wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-bottom-left .wp-block-cover__inner-container {
    margin-left: max(0px,calc((100% - var(--wp--style--global--wide-size))/2));
}

.wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-top-right .wp-block-cover__inner-container,
.wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-center-right .wp-block-cover__inner-container,
.wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-bottom-right .wp-block-cover__inner-container {
    margin-right: max(0px,calc((100% - var(--wp--style--global--wide-size))/2));
}

@media (max-width:768px){
    .wp-block-cover.mobile-break{display: block;}
.wp-block-cover.mobile-break .wp-block-cover__image-background {position: relative; display: block;}
.wp-block-cover.mobile-break .wp-block-cover__background {display: none}
.wp-block-cover.mobile-break.has-custom-content-position .wp-block-cover__inner-container {max-width: 100%}
}

.wp-block-columns.is-layout-flex { gap: 3rem;}

.wp-block-media-text .wp-block-media-text__content{padding: 0 15%}
/*
 * Custom Blocks
 */
.flex-wrap-left{
-webkit-box-pack: start; -ms-flex-pack: start; justify-content: flex-start; -ms-flex-wrap: wrap; flex-wrap: wrap; 
}
[data-type="cpt-block/baseicon"]{display: inline-block;}
[data-type="cpt-block/baseicon"] .components-checkbox-control {
    margin: 0.25em;
    background-color: lightgrey;
    padding: 0.25em;
}
[data-type="cpt-block/baseicon"] .components-panel__body{display: none}
[data-type="cpt-block/baseicon"].is-selected .components-panel__body{display: inline-block; min-width: 80px}

label.hint{font-size: 11px; line-height: 1.3em; color: #666}
/*
 * WPMF Changes
 */
body .media-modal .media-frame.hide-menu ul.attachments{position: relative;}